Loading...
Searching...
No Matches
set.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "debug_count.h"`
`#include "error_handler.h"`
`#include "exception.h"`
`#include "functional.h"`
`#include "initializer_list.h"`
`#include "iterator.h"`
`#include "nth_type.h"`
`#include "nullptr.h"`
`#include "parameter_type.h"`
`#include "placement_new.h"`
`#include "pool.h"`
`#include "type_traits.h"`
`#include "utility.h"`
`#include "private/comparator_is_transparent.h"`
`#include <stddef.h>`
`#include "private/minmax_push.h"`
`#include "private/minmax_pop.h"`

Go to the source code of this file.

## Classes

class | etl::set_exception
class | etl::set_full
class | etl::set_out_of_bounds
class | etl::set_iterator
class | etl::set_base
struct | etl::set_base::Node
| The node element in the set. More...
class | etl::iset< TKey, TCompare >
struct | etl::iset< TKey, TCompare >::Data_Node
| The data node element in the set. More...
class | etl::iset< TKey, TCompare >::iterator
| iterator. More...
class | etl::iset< TKey, TCompare >::const_iterator
| const_iterator More...
class | etl::set< TKey, MAX_SIZE_, TCompare >
| A templated set implementation that uses a fixed size buffer. More...

## Namespaces

namespace | etl

## Functions

template<typename TKey, typename TCompare>
bool | etl::operator== (const etl::iset< TKey, TCompare > &lhs, const etl::iset< TKey, TCompare > &rhs)
| Template deduction guides.
template<typename TKey, typename TCompare>
bool | etl::operator!= (const etl::iset< TKey, TCompare > &lhs, const etl::iset< TKey, TCompare > &rhs)
template<typename TKey, typename TCompare>
bool | etl::operator< (const etl::iset< TKey, TCompare > &lhs, const etl::iset< TKey, TCompare > &rhs)
template<typename TKey, typename TCompare>
bool | etl::operator> (const etl::iset< TKey, TCompare > &lhs, const etl::iset< TKey, TCompare > &rhs)
template<typename TKey, typename TCompare>
bool | etl::operator<= (const etl::iset< TKey, TCompare > &lhs, const etl::iset< TKey, TCompare > &rhs)
template<typename TKey, typename TCompare>
bool | etl::operator>= (const etl::iset< TKey, TCompare > &lhs, const etl::iset< TKey, TCompare > &rhs)

## Variables

template<typename TKey, const size_t MAX_SIZE_, typename TCompare>
ETL_CONSTANT size_t | etl::set< TKey, MAX_SIZE_, TCompare >::MAX_SIZE